## miro 3.0.1

=== platform/gtk-x11/Makefile ===
SHELL = /bin/sh

prefix = /usr
distdir = dist
exec_prefix = $(prefix)
bindir = $(distdir)$(exec_prefix)/bin
python = $(shell which python)
python_version = $(shell $(python) -c 'import sys; info=sys.version_info; print "%s.%s" % (info[0], info[1])')

SITE32PATH = $(shell pwd)/dist$(prefix)/lib/python$(python_version)/site-packages/
SITE64PATH = $(shell pwd)/dist$(prefix)/lib64/python$(python_version)/site-packages/
MIROPYTHONPATH = $(SITE32PATH):$(SITE64PATH)

.PHONY: build run test pylint

clean:
	-rm -rf build dist
	-rm -rf miro.1.gz miro.real.1.gz
	-rm miro
	-rm plat/xlibhelper.c 
	-rm plat/frontends/widgets/httpobserver.c
	-rm plat/frontends/widgets/mozprompt.h plat/frontends/widgets/mozprompt.c
	-rm plat/frontends/widgets/pluginsdir.cpp
	-rm plat/frontends/widgets/windowcreator.cpp
	-rm ../../portable/frontends/widgets/gtk/pygtkhacks.c
	-rm -rf tmp

build:
	$(python) setup.py install --root=./dist --prefix=$(prefix)

run: build
	MIRO_SHARE_ROOT=dist/$(prefix)/share/ \
	   MIRO_RESOURCE_ROOT=dist/$(prefix)/share/miro/resources/ \
	   PATH=dist$(prefix)/bin \
	   PYTHONPATH=$(MIROPYTHONPATH) \
	   $(bindir)/miro

test: build
	MIRO_SHARE_ROOT=dist/$(prefix)/share/ \
	   MIRO_RESOURCE_ROOT=dist/$(prefix)/share/miro/resources/ \
	   PATH=dist$(prefix)/bin \
	   PYTHONPATH=$(MIROPYTHONPATH) \
	   $(bindir)/miro --unittest

pylint: build
	# remove .so files that pylint flips out on
	find dist -name "*.so" | xargs rm
	rm -rf dist/usr/lib/python2.6/site-packages/miro/test
	cd dist/$(prefix)/lib/python$(python_version)/site-packages && \
	   pylint --rcfile ../../../../../pylintrc miro > ../../../../../pylint.output 2>&1

## miro 3.0.3

=== platform/gtk-x11/Makefile ===
--- 
+++ 
@@ -18,10 +18,6 @@
 	-rm -rf miro.1.gz miro.real.1.gz
 	-rm miro
 	-rm plat/xlibhelper.c 
-	-rm plat/frontends/widgets/httpobserver.c
-	-rm plat/frontends/widgets/mozprompt.h plat/frontends/widgets/mozprompt.c
-	-rm plat/frontends/widgets/pluginsdir.cpp
-	-rm plat/frontends/widgets/windowcreator.cpp
 	-rm ../../portable/frontends/widgets/gtk/pygtkhacks.c
 	-rm -rf tmp

=== debian/changelog ===
miro (3.0.3-1ubuntu1) maverick; urgency=low

  * fix LP: #615219 - miro does not install; relax dependency on python-dbus
    to >= 0.83.0 since it should be new enough
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 10 Aug 2010 00:10:57 -0500

miro (3.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #588299).
     + Upstream now uses webkit instead of xulrunner (Closes: 499652).
     + Fixes broken Youtube downloads.
  * debian/copyright: Various updates, drop obsolete entries.
  * README.Debian: Mention libwebkit-1.0-2-dbg as useful for debugging.
  * Standards-Version: 3.9.1 (no changes required).
  * debian/patches/:
     + 10_movies_dir.patch: Update.
     + 50_miro_debug_fix.patch: Update.
     + 102_xulrunner_bug_workaround.patch: Drop, obsolete.
     + Make all patches work with -p1 and add descriptions for all of them.
  * Use new '3.0 (quilt)' source format.
  * No longer use deprecated cdbs 'simple-patchsys.mk'.
  * Drop no longer needed build-dependencies:
    + python-libtorrent (>= 0.14.10-2)
    + libtorrent-rasterbar-dev (>= 0.14.10-2)
    + python-gnome2-extras-dev (>= 2.19.1)
    + xulrunner-dev (>= 1.9.1)
    + libxv-dev
    + libssl-dev
    + libffi-dev
  * Drop no longer needed dependencies:
    + python-gtkmozembed (>= 2.19.1) | python-gnome2-extras (>= 2.19.1)
    + xulrunner-1.9.1
  * Drop democracyplayer, democracyplayer-data transitional packages.
  * Use versioned python-dbus (>= 0.83.1) dependency (Closes: #587963).
  * Use versioned python-gst0.10 (>= 0.10.18-2) dependency (Closes: #580609).

 -- Uwe Hermann <uwe@debian.org>  Sat, 31 Jul 2010 20:00:43 +0200

miro (3.0.1-2) unstable; urgency=low

  * Make xulrunner-dev build-dependency versioned (>= 1.9.1), as we use
    xulrunner-1.9.1 as (runtime) dependency.
  * README.Debian: Change left-over Python 2.5 text to 2.6 (Closes: #579904).
  * Fix FTBFS: s/python2.6/python2.6-dev/ (Closes: #580008).

 -- Uwe Hermann <uwe@debian.org>  Mon, 03 May 2010 19:29:22 +0200

miro (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to Python 2.6 (Closes: #574753).
     + Build-depend on python-libtorrent (>= 0.14.10-2) as this is the first
       version of the package built with Python 2.6 support.
  * Include some more bugfix patches from Ubuntu:
     + 100_catch_keyerror_in_update_items.patch
     + 101_player_undefined_elapsed_time.patch
     + 102_xulrunner_bug_workaround.patch

 -- Uwe Hermann <uwe@debian.org>  Sat, 01 May 2010 14:07:05 +0200

miro (3.0-1) unstable; urgency=low

  * New upstream release (Closes: #575463).
     + The xine backend was removed upstream, we use gstreamer only now.
     + Drop (build-)dependency on all Boost packages, no longer used upstream.
     + debian/patches/20_no_autoupdate.patch: Update.
     + debian/patches/30_disable_xine_hack.patch: Drop, obsolete.
     + debian/patches/40_boost_python.patch: Drop, obsolete.
     + debian/patches/80_xine_default_renderer.patch: Drop, obsolete.
  * Closing non-reproducible bugs with this release. Please reopen if needed.
     + "No sound when playing videos" (Closes: #527261).
     + "Two internal errors on startup" (Closes: #557347).
     + "Miro "internal error" and odd behavior" (Closes: #574822).
     + "Miro crashes after starts playing a video" (Closes: #522102).
  * Standards-Version: 3.8.4 (no changes required).
  * debian/miro.docs: Add ADOPTERS file.
  * debian/README.Debian: Drop xine related sections.
  * debian/rules: Simplified clean target.
  * debian/copyright: Updates (Boost and libtorrent stuff is gone).

 -- Uwe Hermann <uwe@debian.org>  Sun, 28 Mar 2010 01:02:12 +0200

miro (2.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Change xulrunner-1.9 to xulrunner-1.9.1 (Closes: #557726).

 -- Uwe Hermann <uwe@debian.org>  Sun, 13 Dec 2009 17:59:01 +0100

miro (2.5.3-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3 (no changes required).
  * Depend on python-gconf instead of python-gnome2. The latter will be
    deprecated and miro only uses the gconf part anyway (Closes: #541576).
  * Fix "FTBFS: ld: cannot find -lboost_python-mt" (Closes: #551220).
  * Update debian/watch to also catch new upstream tarball names.

 -- Uwe Hermann <uwe@debian.org>  Sat, 24 Oct 2009 02:30:13 +0200

miro (2.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Sat, 01 Aug 2009 15:23:08 +0200

miro (2.5.1-1) unstable; urgency=low

  * New upstream release.
    + debian/patches/90_handle_charref.patch: Drop, merged upstream.
    + debian/patches/95_esc.patch: Drop, merged upstream.
    + debian/patches/30_disable_xine_hack.patch: Update.
    + debian/patches/80_xine_default_renderer.patch: Update.
  * Add usr/share/icons/ to miro.install so the new icons get installed.

 -- Uwe Hermann <uwe@debian.org>  Fri, 24 Jul 2009 15:44:13 +0200

miro (2.0.5-1) unstable; urgency=low

  * New upstream release.
     + This should fix Youtube download errors in miro.
     + debian/patches/40_mozsetup_fix.patch: Drop, no longer required.
     + debian/patches/60_boost_mt.patch: Drop, no longer required.
     + debian/patches/70_gst_extractor_fix.patch: Drop, no longer required.
     + debian/patches/85_pysqlite.patch: Drop, no longer required.
  * Standards-Version: 3.8.2 (no changes required).
  * debian/rules: Drop dh_desktop call (lintian).

 -- Uwe Hermann <uwe@debian.org>  Fri, 26 Jun 2009 21:29:54 +0200

miro (2.0.4-3) unstable; urgency=low

  * debian/patches/85_pysqlite.patch: Add (Closes: #528212).
    This fixes the "Miro was unable to save its database: Disk Full" problems.
  * debian/rules: Move some Makefile rule around again so all unneeded
    test* files get deleted.

 -- Uwe Hermann <uwe@debian.org>  Mon, 22 Jun 2009 18:43:54 +0200

miro (2.0.4-2) unstable; urgency=low

  * Add upstream patch debian/patches/40_mozsetup_fix.patch in order to fix


=== debian/control ===
Source: miro
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs (>= 0.4.43),
               debhelper (>= 7.0.50~),
               python2.6-dev,
               python-support (>= 0.6),
               python-pyrex (>= 0.9.6.4),
               python-gtk2-dev,
               pkg-config,
Standards-Version: 3.9.1
Homepage: http://www.getmiro.com

Package: miro
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-dbus (>= 0.83.0),
         python-gtk2,
         python-gconf,
         python-glade2,
         python-pysqlite2,
         python-libtorrent (>= 0.14.10-2),
         python-gst0.10 (>= 0.10.18-2),
         gstreamer0.10-x (>= 0.10.0),
         gstreamer0.10-ffmpeg (>= 0.10.0),
         gstreamer0.10-plugins-base (>= 0.10.0),
         gstreamer0.10-plugins-good (>= 0.10.0),
         gstreamer0.10-plugins-bad (>= 0.10.0),
         python-webkit,
         miro-data (>= 3.0.3-1)
Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386]
Suggests: ttf-dejavu,
          python-notify,
          gstreamer0.10-plugins-ugly (>= 0.10.0)
Conflicts: miro-data (<< 1.2.1)
Description: GTK+ based RSS video aggregator
 Miro (previously known as Democracy Player) is a platform for Internet
 television and video.
 It allows you to download and watch videos from RSS feeds (including
 podcasts, video blogs, and BitTorrent feeds).

Package: miro-data
Architecture: all
Depends: ${misc:Depends}
Description: GTK+ based RSS video aggregator data files
 Miro (previously known as Democracy Player) is a platform for Internet
 television and video.
 It allows you to download and watch videos from RSS feeds (including
 podcasts, video blogs, and BitTorrent feeds).
 .
 This package contains the data files for Miro.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pysupport

# Must be included before python-distutils.mk to use dh_python/dh_pysupport.
include /usr/share/cdbs/1/rules/debhelper.mk

include /usr/share/cdbs/1/rules/utils.mk

# Use Python distutils to install the package.
include /usr/share/cdbs/1/class/python-distutils.mk

# Must come after python-distutils.mk.
DEB_PYTHON_SETUP_CMD := platform/gtk-x11/setup.py

# The default argument is '-a', which Miro's setup.py doesn't seem to support.
DEB_PYTHON_CLEAN_ARGS := 

# Install everything into debian/tmp, as we have a multi-binary package.
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

# Reduce the number of unneeded dependencies with --as-needed.
LDFLAGS += "-Wl,--as-needed"

# Workaround for a cdbs issue/bug, see #525436.
common-binary-arch common-binary-indep:: miro-fixup
miro-fixup: install/miro

binary-post-install/miro::
	@# Add a few more READMEs.
	cp platform/gtk-x11/README \
		debian/miro/usr/share/doc/miro/README.gtk-x11
	cp portable/frontends/cli/README \
		debian/miro/usr/share/doc/miro/README.cli

binary-post-install/miro::
	@# Remove unneeded files from the miro deb.
	rm -rf debian/miro/usr/share/pyshared/miro/test

binary-post-install/miro-data::
	@# Remove unneeded files from the miro-data deb.
	rm -rf debian/miro-data/usr/share/miro/resources/testdata

clean::
	cd platform/gtk-x11/ && make clean

# For /usr/share/cdbs/1/rules/utils.mk sanity check.
common-binary-post-install-arch:: list-missing

## miro 3.5.1

=== linux/Makefile ===
SHELL = /bin/sh

prefix = /usr
distdir = dist
exec_prefix = $(prefix)
bindir = $(distdir)$(exec_prefix)/bin
python = $(shell which python)
python_version = $(shell $(python) -c 'import sys; info=sys.version_info; print "%s.%s" % (info[0], info[1])')

SITE32PATH = $(shell pwd)/dist$(prefix)/lib/python$(python_version)/site-packages/
SITE64PATH = $(shell pwd)/dist$(prefix)/lib64/python$(python_version)/site-packages/
MIROPYTHONPATH = $(SITE32PATH):$(SITE64PATH)

.PHONY: build run test pylint

clean:
	-rm -rf build dist
	-rm -rf miro.1.gz miro.real.1.gz
	-rm miro
	-rm plat/xlibhelper.c 
	-rm ../lib/frontends/widgets/gtk/pygtkhacks.c
	-rm -rf tmp

build:
	$(python) setup.py install --root=./dist --prefix=$(prefix)

run: build
	MIRO_SHARE_ROOT=dist/$(prefix)/share/ \
	   MIRO_RESOURCE_ROOT=dist/$(prefix)/share/miro/resources/ \
	   PATH=dist$(prefix)/bin \
	   PYTHONPATH=$(MIROPYTHONPATH) \
	   $(bindir)/miro

test: build
	MIRO_SHARE_ROOT=dist/$(prefix)/share/ \
	   MIRO_RESOURCE_ROOT=dist/$(prefix)/share/miro/resources/ \
	   PATH=dist$(prefix)/bin \
	   PYTHONPATH=$(MIROPYTHONPATH) \
	   $(bindir)/miro --unittest

pylint: build
	# remove .so files that pylint flips out on
	find dist -name "*.so" | xargs rm
	rm -rf dist/usr/lib/python2.6/site-packages/miro/test
	cd dist/$(prefix)/lib/python$(python_version)/site-packages && \
	   pylint --rcfile ../../../../../pylintrc miro > ../../../../../pylint.output 2>&1

=== debian/changelog ===
miro (3.5.1-1ubuntu1) natty; urgency=low

  * Merge from debian.  Remaining ubuntu changes:
    - Use python 2.7 instead of python 2.6
    - Relax dependency on python-dbus to >= 0.83.0

 -- Bryce Harrington <bryce@ubuntu.com>  Sat, 22 Jan 2011 02:46:33 -0800

miro (3.5.1-1) experimental; urgency=low

  * New upstream release (Closes: #601903).
    + Fixes "mousewheel does not change loudness" (Closes: #583690).
    + Add new dependency: python-pycurl.
    + Add new build-dependency: libwebkit-dev.
  * Close bugs that cannot be reproduced in this release. Please feel free
    to re-open if there are still issues.
    + "Segfault when moving volume slider during playback" (Closes: #579860).
    + "Fails to generate thumbnails" (Closes: #580962).
  * Drop no longer needed patches, update others:
    + 20_no_autoupdate.patch: Drop, no longer needed.
    + 101_player_undefined_elapsed_time.patch: Drop, fixed upstream.
    + 100_catch_keyerror_in_update_items.patch: Update.
    + 10_movies_dir.patch: Update.
    + 50_miro_debug_fix.patch: Update.

 -- Uwe Hermann <uwe@debian.org>  Sat, 11 Dec 2010 17:45:51 +0100

miro (3.0.3-1ubuntu3) natty; urgency=low

  * debian/control: Rebuild with build-dep on python2.7-dev rather than
    python2.6-dev. (LP: #688103)
  * debian/pyversions: Change version to 2.7

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Thu, 09 Dec 2010 19:12:09 +0300

miro (3.0.3-1ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:06:03 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
                debhelper (>= 7.0.50~),
-               python2.6-dev,
+               python2.7-dev,
                python-support (>= 0.6),
                python-pyrex (>= 0.9.6.4),
                python-gtk2-dev,
+               libwebkit-dev,
                pkg-config,
 Standards-Version: 3.9.1
 Homepage: http://www.getmiro.com
@@ -31,7 +32,8 @@
          gstreamer0.10-plugins-good (>= 0.10.0),
          gstreamer0.10-plugins-bad (>= 0.10.0),
          python-webkit,
-         miro-data (>= 3.0.3-1)
+         python-pycurl,
+         miro-data (>= 3.5.1-1)
 Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386]
 Suggests: ttf-dejavu,
           python-notify,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include /usr/share/cdbs/1/class/python-distutils.mk
 
 # Must come after python-distutils.mk.
-DEB_PYTHON_SETUP_CMD := platform/gtk-x11/setup.py
+DEB_PYTHON_SETUP_CMD := linux/setup.py
 
 # The default argument is '-a', which Miro's setup.py doesn't seem to support.
 DEB_PYTHON_CLEAN_ARGS := 
@@ -28,10 +28,8 @@
 
 binary-post-install/miro::
 	@# Add a few more READMEs.
-	cp platform/gtk-x11/README \
-		debian/miro/usr/share/doc/miro/README.gtk-x11
-	cp portable/frontends/cli/README \
-		debian/miro/usr/share/doc/miro/README.cli
+	cp linux/README debian/miro/usr/share/doc/miro/README.linux
+	cp lib/frontends/cli/README debian/miro/usr/share/doc/miro/README.cli
 
 binary-post-install/miro::
 	@# Remove unneeded files from the miro deb.
@@ -42,7 +40,7 @@
 	rm -rf debian/miro-data/usr/share/miro/resources/testdata
 
 clean::
-	cd platform/gtk-x11/ && make clean
+	cd linux && make clean
 
 # For /usr/share/cdbs/1/rules/utils.mk sanity check.
 common-binary-post-install-arch:: list-missing

## miro 4.0.3

=== linux/Makefile ===
--- 
+++ 
@@ -12,14 +12,6 @@
 MIROPYTHONPATH = $(SITE32PATH):$(SITE64PATH)
 
 .PHONY: build run test pylint
-
-clean:
-	-rm -rf build dist
-	-rm -rf miro.1.gz miro.real.1.gz
-	-rm miro
-	-rm plat/xlibhelper.c 
-	-rm ../lib/frontends/widgets/gtk/pygtkhacks.c
-	-rm -rf tmp
 
 build:
 	$(python) setup.py install --root=./dist --prefix=$(prefix)

=== debian/changelog ===
miro (4.0.3-2) unstable; urgency=low

  * Add debian/patches/110_libav_api_changes.patch. This updates miro to
    work with the new ffmpeg/libav API (Closes: #638550).

 -- Uwe Hermann <uwe@debian.org>  Wed, 07 Sep 2011 00:38:16 +0200

miro (4.0.3-1) unstable; urgency=low

  * New upstream release.
     + Fixes YouTube download issues.
     + Fixed upstream: Scary exception: ImportError: No module named
       xinerenderer (Closes: #577397).
     + Fixed upstream: problem with french local (Closes: #632706).
     + No longer occurs: segfaults on startup (Closes: #630119).
  * Change build-dep on libwebkit-dev to libwebkitgtk-dev (Closes: #635421).

 -- Uwe Hermann <uwe@debian.org>  Tue, 16 Aug 2011 23:04:11 +0200

miro (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
     + 110_miro_segmenter.patch: Drop, fixed upstream.
     + 120_disable_ipv6.patch: Drop, fixed upstream. IPv6 usage is disabled
       for local connections per default, but can be enabled (gconf-editor).
     + 50_miro_debug_fix.patch: Update.
  * debian/rules: Update and simplify the file.

 -- Uwe Hermann <uwe@debian.org>  Sun, 03 Jul 2011 20:30:52 +0200

miro (4.0.1.1-1.1) unstable; urgency=low

  [ Stefano Rivera ]
  * Non-maintainer upload.
  * Build for Python >= 2.6 (closes: #629087):
    - Drop deprecated pycompat.
    - Replace pyversions with XS-Python-Version >= 2.6.
    - Build-depend on python-all-dev instead of python2.6-dev.
    - Un-version shebangs.

 -- Julien Cristau <jcristau@debian.org>  Wed, 29 Jun 2011 16:45:37 +0200

miro (4.0.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #627800).
     + Fixes "miro does not see/recognize .webm files" (Closes: #611594).
     + I cannot reproduce "increases sound volume on play (and doesn't
       reset it)" in this release (Closes: #581436).
       Please re-open the bug in case it still happens.
  * debian/patches/*: Update outdated patches.
     + 110_miro_segmenter.patch: Add, fixes upstream bug.
     + 120_disable_ipv6.patch: Add, disables IPv6 usage for local connections
       for now, there seem to be issues (miro hangs upon startup).
  * debian/rules:
     + Add Build-Depends on libavformat-dev (miro doesn't build otherwise).
     + Add Depends entry on python-mutagen (for audio metadata editing).
     + Add Suggests entry on ffmpeg, ffmpeg2theora (for video conversion).
     + Add Suggests entry on libavahi-compat-libdnssd1 (for "Miro Sharing").
     + Update 'clean' rules.
     + Make some upstream files non-executable to silence lintian.
  * debian/README.Debian: Add some hints for the "Miro Sharing" feature.
  * debian/*.docs: Drop ADOPTERS file, merged into CREDITS upstream.

 -- Uwe Hermann <uwe@debian.org>  Thu, 09 Jun 2011 21:35:59 +0200

miro (3.5.1-2) unstable; urgency=low

  * Upload to unstable.
  * Fix small version issue to simplify backports (Closes: #606856).
    Thanks Daniel Baumann <daniel.baumann@progress-technologies.net>.
  * Standards-Version: 3.9.2 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Tue, 12 Apr 2011 00:11:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: miro
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
+Maintainer: Uwe Hermann <uwe@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
                debhelper (>= 7.0.50~),
-               python2.7-dev,
+               python-all-dev,
                python-support (>= 0.6),
                python-pyrex (>= 0.9.6.4),
                python-gtk2-dev,
-               libwebkit-dev,
+               libwebkitgtk-dev,
+               libavformat-dev,
                pkg-config,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.getmiro.com
+XS-Python-Version: >= 2.6
 
 Package: miro
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         python-dbus (>= 0.83.0),
+         python-dbus (>= 0.83.1),
          python-gtk2,
          python-gconf,
          python-glade2,
@@ -33,11 +34,15 @@
          gstreamer0.10-plugins-bad (>= 0.10.0),
          python-webkit,
          python-pycurl,
-         miro-data (>= 3.5.1-1)
+         python-mutagen,
+         miro-data (>= 4.0.3)
 Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386]
 Suggests: ttf-dejavu,
           python-notify,
-          gstreamer0.10-plugins-ugly (>= 0.10.0)
+          gstreamer0.10-plugins-ugly (>= 0.10.0),
+          libavahi-compat-libdnssd1,
+          ffmpeg,
+          ffmpeg2theora
 Conflicts: miro-data (<< 1.2.1)
 Description: GTK+ based RSS video aggregator
  Miro (previously known as Democracy Player) is a platform for Internet

## miro 4.0.4

=== debian/changelog ===
miro (4.0.4-1.1ubuntu1) trusty; urgency=low

  * Drop gstreamer0.10-ffmpeg to recommends.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 22 Nov 2013 01:07:51 +0000

miro (4.0.4-1.1build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 00:07:00 +0000

miro (4.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches:
    - 130_libav9.patch: Fix building with libav 9. (Closes: #720810)
    - 140_use_avconv.patch: Use avconv instead of ffmpeg which is no longer
      built by libav.
  * debian/control: Change Suggests on ffmpeg to libav-tools.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 Sep 2013 03:51:11 +0200

miro (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/110_libav_api_changes.patch: Drop, merged upstream.
  * debian/patches/120_miro.desktop.patch: Add file. The "Name" entry should
    not repeat the "GenericName" description. Add DE translation for the
    "GenericName" field (Closes: #640986). Thanks to
    Ronny Standtke <ronny.standtke@fhnw.ch> for the patch.

 -- Uwe Hermann <uwe@debian.org>  Mon, 02 Jan 2012 23:09:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: miro
 Section: net
 Priority: extra
-Maintainer: Uwe Hermann <uwe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
                debhelper (>= 7.0.50~),
                python-all-dev,
@@ -28,20 +29,19 @@
          python-libtorrent (>= 0.14.10-2),
          python-gst0.10 (>= 0.10.18-2),
          gstreamer0.10-x (>= 0.10.0),
-         gstreamer0.10-ffmpeg (>= 0.10.0),
          gstreamer0.10-plugins-base (>= 0.10.0),
          gstreamer0.10-plugins-good (>= 0.10.0),
          gstreamer0.10-plugins-bad (>= 0.10.0),
          python-webkit,
          python-pycurl,
          python-mutagen,
-         miro-data (>= 4.0.3)
-Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386]
+         miro-data (>= 4.0.4)
+Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386], gstreamer0.10-ffmpeg (>= 0.10.0),
 Suggests: ttf-dejavu,
           python-notify,
           gstreamer0.10-plugins-ugly (>= 0.10.0),
           libavahi-compat-libdnssd1,
-          ffmpeg,
+          libav-tools,
           ffmpeg2theora
 Conflicts: miro-data (<< 1.2.1)
 Description: GTK+ based RSS video aggregator

=== debian/rules ===
--- 
+++ 
@@ -35,12 +35,23 @@
 	@# Remove unneeded files from the miro deb.
 	rm -rf debian/miro/usr/share/pyshared/miro/test
 
+binary-install/miro::
+	@# Fixup shebangs.
+	sed -i -e '1 s,#!.*python.*,#! /usr/bin/python,' debian/miro/usr/bin/*
+
 binary-post-install/miro-data::
 	@# Remove unneeded files from the miro-data deb.
 	rm -rf debian/miro-data/usr/share/miro/resources/testdata
 
 clean::
 	cd linux && make clean
+	rm -f lib/frontends/widgets/infolist/infolist.c
+	rm -f lib/frontends/widgets/gtk/webkitgtkhacks.c
+	rm -f lib/frontends/widgets/gtk/pygtkhacks.c
+	rm -f linux/plat/xlibhelper.c
+	rm -f linux/miro.1.gz
+	rm -f linux/miro.real.1.gz
+	rm -f linux/clean
 
 # For /usr/share/cdbs/1/rules/utils.mk sanity check.
 common-binary-post-install-arch:: list-missing

## miro 6.0

=== linux/contrib/echoprint-codegen/src/Makefile ===
# Version of echoprint, as a list. Is expanded out
# for various version numbers.
EP_VERSION := 4 1 1
VERSION := $(word 1, $(EP_VERSION)).$(word 2, $(EP_VERSION)).$(word 3, $(EP_VERSION))
VERSION_MAJ := $(word 1, $(EP_VERSION))
VERSION_COMPAT := $(word 1, $(EP_VERSION)).$(word 2, $(EP_VERSION))
UNAME := $(shell uname -s)
CXX=g++
CC=gcc
#OPTFLAGS=-g -O0
OPTFLAGS=-O3 -DBOOST_UBLAS_NDEBUG -DNDEBUG
BOOST_CFLAGS=-I/usr/local/include/boost-1_35
TAGLIB_CFLAGS=`taglib-config --cflags`
TAGLIB_LIBS=`taglib-config --libs`
CXXFLAGS=-Wall $(BOOST_CFLAGS) $(TAGLIB_CFLAGS) -fPIC $(OPTFLAGS)
CFLAGS=-Wall -fPIC $(OPTFLAGS)
LDFLAGS=$(TAGLIB_LIBS) -lz -lpthread $(OPTFLAGS)
LIBNAME=libcodegen.so
SONAME=$(LIBNAME).$(VERSION_MAJ)

MODULES_LIB = \
    AudioBufferInput.o \
    AudioStreamInput.o \
    Base64.o \
    Codegen.o \
    Fingerprint.o \
    MatrixUtility.o \
    SubbandAnalysis.o \
    Whitening.o
MODULES = $(MODULES_LIB) Metadata.o

all: libcodegen echoprint-codegen

libcodegen: $(MODULES_LIB)
ifeq ($(UNAME),Darwin)
	libtool -dynamic -flat_namespace -install_name libcodegen.$(VERSION).dylib -lSystem -compatibility_version $(VERSION_COMPAT) \
		-macosx_version_min 10.6 -current_version $(VERSION) -o libcodegen.$(VERSION).dylib -undefined suppress \
	    $(MODULES_LIB) -framework vecLib -framework Accelerate
else
	$(CXX) -shared -fPIC -Wl,-soname,$(SONAME) -o $(LIBNAME).$(VERSION) $(MODULES_LIB) -lz
endif

echoprint-codegen: $(MODULES) main.o
	$(CXX) $(MODULES) $(LDFLAGS) main.o -o ../echoprint-codegen

%.o: %.c %.h
	$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.cxx %.h
	$(CXX) $(CXXFLAGS) -c -o $@ $<

%.o: %.cxx
	$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	rm -f *.o ../echoprint-codegen
	rm -f libcodegen.so*
ifeq ($(UNAME),Darwin)
	rm -f *.dylib
endif

PREFIX ?= /usr/local
DESTDIR ?= $(PREFIX)
BINDIR ?= /bin
LIBDIR ?= /lib
INCLUDEDIR ?= /include

install: all
	install -d $(DESTDIR)$(BINDIR)
	install ../echoprint-codegen $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(INCLUDEDIR)/echoprint
	install -pm 644 Codegen.h $(DESTDIR)$(INCLUDEDIR)/echoprint/
	install -d $(DESTDIR)$(LIBDIR)
ifeq ($(UNAME),Darwin)
	install -m 755 libcodegen.$(VERSION).dylib $(DESTDIR)$(LIBDIR)
	ln -fs $(DESTDIR)$(LIBDIR)/libcodegen.$(VERSION) $(DESTDIR)$(LIBDIR)/libcodegen.$(VERSION_MAJ).dylib
	ln -fs $(DESTDIR)$(LIBDIR)/libcodegen.$(VERSION_MAJ).dylib $(DESTDIR)$(LIBDIR)/libcodegen.dylib
else
	install -m 755 $(LIBNAME).$(VERSION) $(DESTDIR)$(LIBDIR)
	ln -fs $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(VERSION) $(DESTDIR)$(LIBDIR)/$(SONAME)
	ln -fs $(DESTDIR)$(LIBDIR)/$(SONAME) $(DESTDIR)$(LIBDIR)/$(LIBNAME)
endif

.PHONY: clean all libcodegen echoprint-codegen install

=== debian/changelog ===
miro (6.0-1) unstable; urgency=medium

  * Acknowledge NMU, thanks Sebastian Ramacher <sramacher@debian.org>.
  * New upstream release (Closes: #692482, #754232, #764562).
    + Drop linux/contrib/enmfp-codegen/* in upstream tarball, apparently
      there's no source code available for those files.
    + Now build-depends on libtag1-dev, libsqlite3-dev, and libboost1.55-dev.
    + Fixes Youtube/Vimeo download/scraping (Closes: #689826).
  * Standards-Version: 3.9.6 (no changes required).
  * debian/patches:
     + 10_movies_dir.patch: Update.
     + 50_miro_debug_fix.patch: Update.
     + 100_catch_keyerror_in_update_items.patch: Drop (obsolete).
     + 130_libav9.patch: Drop (fixed upstream).
     + 140_use_avconv.patch: Update, drop upstream-merged parts.
     + 150_codec_id.patch: Add, fixes FTBFS due to libav 10 (Closes: #748861).
       Thanks Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>.
     + 160_fixyoutubedl.patch: Fix another Youtube downloads/scraping issue.
  * Drop 'Recommends: python-psyco' (package no longer in the archive).
  * Move 'libav-tools' from 'Suggests' to 'Depends', miro will not properly
    start-up without it.
  * Move gstreamer0.10-ffmpeg from 'Depends' to 'Suggests' for now; the
    package is uninstallable atm (#766988) and seems to be optional for miro.
  * Temporary lintian overrides ("use dh_python2 instead"):
     + miro: depends-on-obsolete-package
     + miro source: build-depends-on-obsolete-package
  * Close long-obsolete request for lenny backport (Closes: #532021).

 -- Uwe Hermann <uwe@debian.org>  Mon, 27 Oct 2014 19:00:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: miro
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
+Maintainer: Uwe Hermann <uwe@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
                debhelper (>= 7.0.50~),
                python-all-dev,
@@ -11,8 +10,11 @@
                python-gtk2-dev,
                libwebkitgtk-dev,
                libavformat-dev,
+               libtag1-dev,
+               libsqlite3-dev,
+               libboost1.55-dev,
                pkg-config,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Homepage: http://www.getmiro.com
 XS-Python-Version: >= 2.6
 
@@ -35,13 +37,13 @@
          python-webkit,
          python-pycurl,
          python-mutagen,
-         miro-data (>= 4.0.4)
-Recommends: python-psyco [i386 hurd-i386 netbsd-i386 kfreebsd-i386], gstreamer0.10-ffmpeg (>= 0.10.0),
+         libav-tools,
+         miro-data (>= 6.0)
 Suggests: ttf-dejavu,
           python-notify,
+          gstreamer0.10-ffmpeg (>= 0.10.0),
           gstreamer0.10-plugins-ugly (>= 0.10.0),
           libavahi-compat-libdnssd1,
-          libav-tools,
           ffmpeg2theora
 Conflicts: miro-data (<< 1.2.1)
 Description: GTK+ based RSS video aggregator

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 
 clean::
 	cd linux && make clean
+	cd linux/contrib/echoprint-codegen/src && make clean
 	rm -f lib/frontends/widgets/infolist/infolist.c
 	rm -f lib/frontends/widgets/gtk/webkitgtkhacks.c
 	rm -f lib/frontends/widgets/gtk/pygtkhacks.c

=== debian/watch ===
version=3
http://ftp.osuosl.org/pub/pculture.org/miro/src/[mM]iro-(.*)\.tar\.gz
